/*
 * MINIGUI - Harbour Win32 GUI library
 * Copyright 2002-2009 Roberto Lopez <harbourminigui@gmail.com>
 * http://harbourminigui.googlepages.com/
 
 HMG Sample for Centering Multiple Controls
 
 Author : Bicahi Esgici
 
*/

#include "minigui.ch"

PROC Main()

   DEFINE WINDOW Form_1 ;
      AT 0,0 ;
      WIDTH 400 ;
      HEIGHT 250 ;
      MAIN;
      ON INIT CentrCntrls() ;
      TITLE 'Centering Multiple Controls'

      @ 150, 0 BUTTON Button_1 CAPTION 'Btn 1' ACTION MsgInfo('Button 1') WIDTH 50 HEIGHT 24 
      @ 150, 0 BUTTON Button_2 CAPTION 'Btn 2' ACTION MsgInfo('Button 2') WIDTH 60 HEIGHT 24 
      @ 150, 0 BUTTON Button_3 CAPTION 'Btn 3' ACTION MsgInfo('Button 3') WIDTH 70 HEIGHT 24 
      @ 150, 0 BUTTON Button_4 CAPTION 'Btn 4' ACTION MsgInfo('Button 4') WIDTH 40 HEIGHT 24 
      @ 150, 0 BUTTON Button_5 CAPTION 'Btn 5' ACTION MsgInfo('Button 5') WIDTH 80 HEIGHT 24 

   END WINDOW

   Form_1.CENTER 

   Form_1.ACTIVATE 

RETU // Main()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._

PROC CentrCntrls() 

   LOCAL nTotlWidth := Form_1.Button_1.Width +;
                       Form_1.Button_2.Width +; 
                       Form_1.Button_3.Width +; 
                       Form_1.Button_4.Width +; 
                       Form_1.Button_5.Width 
                       
   LOCAL nBtnSpace  := INT( ( Form_1.Width - nTotlWidth ) / 6 ) // 6 : button count + 1

   Form_1.Button_1.Hide
   Form_1.Button_2.Hide
   Form_1.Button_3.Hide 
   Form_1.Button_4.Hide 
   Form_1.Button_5.Hide
   
   Form_1.Button_1.Col := nBtnSpace
   Form_1.Button_2.Col := Form_1.Button_1.Col + Form_1.Button_1.Width + nBtnSpace 
   Form_1.Button_3.Col := Form_1.Button_2.Col + Form_1.Button_2.Width + nBtnSpace  
   Form_1.Button_4.Col := Form_1.Button_3.Col + Form_1.Button_3.Width + nBtnSpace  
   Form_1.Button_5.Col := Form_1.Button_4.Col + Form_1.Button_4.Width + nBtnSpace 
                         
   Form_1.Button_1.Show
   Form_1.Button_2.Show
   Form_1.Button_3.Show 
   Form_1.Button_4.Show 
   Form_1.Button_5.Show

RETU // CentrCntrls()  

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._
